//ProjectedUV.frag

#version 120
#extension GL_EXT_gpu_shader3 : enable

uniform int bFlat;

varying vec3 position;
varying vec3 normal;

//##FUNC_NORMAL##

void main (void)
{
    vec3 fnormal = normalize(GetNormal());

    gl_FragColor[0] = fnormal[0] * 0.5 + 0.5;
    gl_FragColor[1] = fnormal[1] * 0.5 + 0.5f;
    gl_FragColor[2] = fnormal[2] * 0.5 + 0.5;
    gl_FragColor[3] = 1.0f;
}
